auth_milenage.c File Reference
`#include <osmocom/crypt/auth.h>`
`#include <osmocom/core/bits.h>`
`#include "milenage/common.h"`
`#include "milenage/milenage.h"`

## Functions

static const uint8_t * | gen_opc_if_needed (const struct osmo_sub_auth_data *aud, uint8_t *gen_opc)
static int | milenage_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *_rand)
static int | milenage_gen_vec_auts (struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *auts, const uint8_t *rand_auts, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | milenage_alg

## Detailed Description

GSM/GPRS/3G authentication core infrastructure

## Function Documentation

## __attribute__()

static __attribute__ | ( | (constructor) |  | ) |

static

References milenage_alg, and osmo_auth_register().